# Class pyglet.text.formats.structured.ListBuilder

Known Subclasses:
  OrderedListBuilder, UnorderedListBuilder

## Methods

| begin(self, decoder, style) Begin a list.
| item(self, decoder, style, value=None) Begin a list item.
str | get_mark(self, value=None) Get the mark text for the next list item.

## Method Details

### begin

begin(self, decoder, style)
Begin a list.

Parameters:
  decoder : StructuredTextDecoder
    Decoder.
  style : dict
    Style dictionary that applies over the entire list.

### item

item(self, decoder, style, value=None)
Begin a list item.

Parameters:
  decoder : StructuredTextDecoder
    Decoder.
  style : dict
    Style dictionary that applies over the list item.
  value : str
    Optional value of the list item. The meaning is list-type dependent.

### get_mark

get_mark(self, value=None)
Get the mark text for the next list item.

Parameters:
  value : str
    Optional value of the list item. The meaning is list-type dependent.
Returns: str